Page MenuHomePhabricator

Showcase/inspire behind the Wikimedia IFTTT triggers
Closed, DeclinedPublic

Description

The Wikipedia IFTTT recipes are cool. The technical guide explains the triggers they use, maybe the hub can explain the implementation of the triggers: roughly, a Flask web service that makes action=featuredfeed API calls, DB queries, and caches recent changes to look for changes).

Related/instead: spage has started API:Showing interesting content for T108661: Showcase/inspire: showing interesting content using FeaturedFeeds which talks about the featuredfeed API module on WMF wikis and goes into some detail on ifttt recipes using it.

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Web-APIs-Hub.
Spage moved this task to Article candidates on the Web-APIs-Hub board.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2015, 3:38 AM
Spage renamed this task from Showcase/inspire behind the Wikimedia IFTTT actions to Showcase/inspire behind the Wikimedia IFTTT triggers.Jul 24 2015, 3:40 AM
Spage updated the task description. (Show Details)
Spage set Security to None.
Spage updated the task description. (Show Details)Jul 24 2015, 9:37 PM
Spage updated the task description. (Show Details)Jul 27 2015, 2:11 AM

A nice demo might be a JS sandbox that processes e.g. commons potd to make an image gallery. Code notes: 1, hack

Spage triaged this task as Normal priority.Jul 28 2015, 5:26 AM
Spage lowered the priority of this task from Normal to Low.Aug 11 2015, 2:56 AM
Spage updated the task description. (Show Details)
Aklapper closed this task as Declined.Mon, Oct 7, 11:17 AM

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.